GrailsApplicationTestPlugin.TestRuntimeGrailsApplicationPostProcessor (Grails 3.2.6)
Date: 2017-02-09

Package: grails.test.runtime

## [Groovy] Class TestRuntimeGrailsApplicationPostProcessor

- grails.test.runtime.GrailsApplicationTestPlugin.TestRuntimeGrailsApplicationPostProcessor

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsApplicationPostProcessor` | `applicationContext, pluginManager`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.util.Set` | `DEFAULT_INCLUDED_PLUGINS`
    `groovy.lang.Closure` | `customizeGrailsApplicationClosure`
    `java.util.Set` | `includedPlugins`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsApplicationTestPlugin.TestRuntimeGrailsApplicationPostProcessor (groovy.lang.Closure doWithSpringClosure, java.util.Set includedPlugins = DEFAULT_INCLUDED_PLUGINS)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `customizeGrailsApplication(GrailsApplication grailsApplication)`
    `protected void` | `customizePluginManager(GrailsPluginManager grailsApplication)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsApplicationPostProcessor` | `customizeGrailsApplication, customizePluginManager, initializeGrailsApplication, loadApplicationConfig, onApplicationEvent, performGrailsInitializationSequence, postProcessBeanDefinitionRegistry, postProcessBeanFactory, setApplicationContext`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final java.util.Set DEFAULT_INCLUDED_PLUGINS

    - #### groovy.lang.Closure customizeGrailsApplicationClosure

    - #### java.util.Set includedPlugins

  - ### Constructor Detail

    - #### GrailsApplicationTestPlugin.TestRuntimeGrailsApplicationPostProcessor(groovy.lang.Closure doWithSpringClosure, java.util.Set includedPlugins = DEFAULT_INCLUDED_PLUGINS)

  - ### Method Detail

    - #### @java.lang.Override protected void customizeGrailsApplication(GrailsApplication grailsApplication)

    - #### @java.lang.Override protected void customizePluginManager(GrailsPluginManager grailsApplication)